=== package/debian/changelog ===
tdlib (20110130) unstable; urgency=low

  * configure-script fixes/updates

 -- Thomas E. Dickey <dickey@invisible-island.net>  Sun, 30 Jan 2011 17:08:36 -0500

tdlib (20100711) unstable; urgency=low

  * implement ded "-m" mouse option

 -- Thomas E. Dickey <dickey@invisible-island.net>  Fri, 09 Jul 2010 17:02:51 -0400

tdlib (20100705) unstable; urgency=high

  * Initial package release

 -- Thomas E. Dickey <dickey@invisible-island.net>  Thu, 01 Jul 2010 04:46:10 -0400
